package com.ydl.auth.service.beans;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @program ydl-auth
 * @description: ossProperties
 * @author: wangjianfeng
 * @create: 2020/03/03 18:19
 */
@Component
@Data
public class OssProperties implements Serializable {

	@Value("${alioss.key.accessKeyId}")
	private String aliossKeyAccessKeyId;

	@Value("${alioss.key.accessKeySecret}")
	private String aliossKeyAccessKeySecret;

	@Value("${alioss.endpoint}")
	private String aliossEndpoint;

	@Value("${alioss.bucketName}")
	private String aliossBucketName;

	@Value("${yp.host}")
	private String ypHost;

	@Value("${yp.secret}")
	private String ypSecret;

	@Value("${qnoss.key.accessKey}")
	private String qnossKeyAccessKey;

	@Value("${qnoss.key.secretKey}")
	private String qnossKeySecretKey;

	@Value("${alioss.host}")
	private String aliossHost;

	@Value("${qnoss.key.domainOfBucket}")
	private String qnossKeyDomainOfBucket;
}
